#define X_SIZE 176
#define Y_SIZE 144

void convert(char *inbuf, char *outbuf)
  {
     char *ybuf = outbuf;
     char *ubuf = outbuf[25344];
     char *vbuf = outbuf[25344 + 6336];
     int i, j;
     long pom;

     /* luminance msbyte copy */
     for (i=0; i<25344; i++)
	memcpy(ybuf[i], inbuf[(4 * i) + 1], 1);

     /* chrominance convertion */
     for (i=0; i < Y_SIZE/2; i++)
	for(j=0; j < X_SIZE/2; j++) 
	  {
	     pom =    (char)inbuf[(2*i)*4*X_SIZE + (2*j)*4] 
		    + (char)inbuf[(2*i)*4*X_SIZE + (2*j + 1)*4] 
		    + (char)inbuf[(2*i + 1)*4*X_SIZE + (2*j)*4]
		    + (char)inbuf[(2*i + 1)*4*X_SIZE + (2*j + 1)*4];
	     pom = pom/4;
	     ubuf[i*X_SIZE + j] = (char)pom;

	     pom =    (char)inbuf[(2*i)*4*X_SIZE + (2*j)*4 + 2] 
		    + (char)inbuf[(2*i)*4*X_SIZE + (2*j + 1)*4 + 2] 
		    + (char)inbuf[(2*i + 1)*4*X_SIZE + (2*j)*4 + 2]
		    + (char)inbuf[(2*i + 1)*4*X_SIZE + (2*j + 1)*4 + 2];
	     pom = pom/4;
	     vbuf[i*X_SIZE + j] = (char)pom;
	  }
  }

